---
title: Reference Tables
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Reference Tables
---

# Reference Tables

View and manage Reference Tables in your organization.

## Create reference table upload →{% #create-reference-table-upload %}

| Datadog site      | API endpoint                                                       |
| ----------------- | ------------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/reference-tables/uploads |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/reference-tables/uploads |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/reference-tables/uploads      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/reference-tables/uploads      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/reference-tables/uploads  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/reference-tables/uploads     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/reference-tables/uploads |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/reference-tables/uploads |

## Create reference table →{% #create-reference-table %}

| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/reference-tables/tables |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/reference-tables/tables |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/reference-tables/tables      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/reference-tables/tables      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/reference-tables/tables  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/reference-tables/tables     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/reference-tables/tables |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/reference-tables/tables |

## List tables →{% #list-tables %}

| Datadog site      | API endpoint                                                     |
| ----------------- | ---------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/reference-tables/tables |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/reference-tables/tables |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/reference-tables/tables      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/reference-tables/tables      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/reference-tables/tables  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/reference-tables/tables     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/reference-tables/tables |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/reference-tables/tables |

## Get table →{% #get-table %}

| Datadog site      | API endpoint                                                          |
| ----------------- | --------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/reference-tables/tables/{id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/reference-tables/tables/{id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/reference-tables/tables/{id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/reference-tables/tables/{id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/reference-tables/tables/{id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/reference-tables/tables/{id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/reference-tables/tables/{id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/reference-tables/tables/{id} |

## Get rows by id →{% #get-rows-by-id %}

| Datadog site      | API endpoint                                                               |
| ----------------- | -------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/reference-tables/tables/{id}/rows      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/reference-tables/tables/{id}/rows      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/reference-tables/tables/{id}/rows  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/reference-tables/tables/{id}/rows     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |

## Update reference table →{% #update-reference-table %}

| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/reference-tables/tables/{id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/reference-tables/tables/{id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/reference-tables/tables/{id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/reference-tables/tables/{id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/reference-tables/tables/{id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/reference-tables/tables/{id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/reference-tables/tables/{id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/reference-tables/tables/{id} |

## Delete table →{% #delete-table %}

| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/reference-tables/tables/{id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/reference-tables/tables/{id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/reference-tables/tables/{id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/reference-tables/tables/{id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/reference-tables/tables/{id}  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/reference-tables/tables/{id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/reference-tables/tables/{id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/reference-tables/tables/{id} |

## Upsert rows →{% #upsert-rows %}

| Datadog site      | API endpoint                                                                |
| ----------------- | --------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/reference-tables/tables/{id}/rows      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/reference-tables/tables/{id}/rows      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/reference-tables/tables/{id}/rows  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/reference-tables/tables/{id}/rows     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |

## Delete rows →{% #delete-rows %}

| Datadog site      | API endpoint                                                                  |
| ----------------- | ----------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/reference-tables/tables/{id}/rows      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/reference-tables/tables/{id}/rows      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/reference-tables/tables/{id}/rows  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/reference-tables/tables/{id}/rows     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/reference-tables/tables/{id}/rows |

## Batch rows query →{% #batch-rows-query %}

| Datadog site      | API endpoint                                                                  |
| ----------------- | ----------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/reference-tables/queries/batch-rows |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/reference-tables/queries/batch-rows |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/reference-tables/queries/batch-rows      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/reference-tables/queries/batch-rows      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/reference-tables/queries/batch-rows  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/reference-tables/queries/batch-rows     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/reference-tables/queries/batch-rows |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/reference-tables/queries/batch-rows |

## List rows →{% #list-rows %}

| Datadog site      | API endpoint                                                                    |
| ----------------- | ------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/reference-tables/tables/{id}/rows/list |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/reference-tables/tables/{id}/rows/list |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/reference-tables/tables/{id}/rows/list      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/reference-tables/tables/{id}/rows/list      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/reference-tables/tables/{id}/rows/list  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/reference-tables/tables/{id}/rows/list     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/reference-tables/tables/{id}/rows/list |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/reference-tables/tables/{id}/rows/list |
